Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.resources.refresh
Interface IRefreshResult

public interface IRefreshResult

An `IRefreshResult` is provided to an auto-refresh monitor. The result is used to submit resources to be refreshed, and for reporting failure of the monitor.

This interface is not intended to be implemented by clients.

Since:
  3.0

Method Summary
`void` | `monitorFailed(IRefreshMonitor monitor, IResource resource)` Notifies that the given monitor has encountered a failure from which it cannot recover while monitoring the given resource.
`void` | `refresh(IResource resource)` Requests that the provided resource be refreshed.

Method Detail

### monitorFailed

    public void monitorFailed(IRefreshMonitor monitor,
                              IResource resource)

  Notifies that the given monitor has encountered a failure from which it cannot recover while monitoring the given resource.

  If the given resource is `null` it indicates that the monitor has failed completely, and the refresh manager will have to take over the monitoring responsibilities for all resources that the monitor was monitoring.

  Parameters:
    `monitor` - a monitor which has encountered a failure that it cannot recover from
    `resource` - the resource that the monitor can no longer monitor, or `null` to indicate that the monitor can no longer monitor any of the resources it was monitoring

### refresh

    public void refresh(IResource resource)

  Requests that the provided resource be refreshed. The refresh will occur in the background during the next scheduled refresh.

  Parameters:
    `resource` - the resource to refresh

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.